Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036825
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2017-09-11 15:212017-09-21 16:50
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision6db8cd340ee2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036825: Warehouse field of Inventory Amount Update Lines is not shown after saving the record although it has a value

DescriptionWarehouse field of Inventory Amount Update Lines is not shown after saving the record although it has a value

The problem is that iswarehousedimension auxiliary input has a value of 'N' and the callout SL_InvAmtUpd_ProductRefDate is not launched as there is not any change on product or reference date fields
Steps To ReproduceAs group admin role:
   Create a new costing rule, set Warehouse Dimension to Y
   Validate it
   Create a new Inventory Amount Update
   Add a line to it
   Select a warehouse, add a product and a cost to it
   Save it
   Check the Warehouse field disappears
Proposed SolutionRemove iswarehousedimension calculation in SL_InvAmtUpd_ProductRefDate callout.
Move this logic to warehouse field display logic.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0099054)
AtulOpenbravo (developer)
2017-09-14 23:18

Test Plan

- Login as group admin role.
- In Costing rule realize that for F&B US Inc Org, Warehouse dimension is set as No.
- Create a new Inventory Amount Update.
- Add a line to it.
- Check the Warehouse field is not displayed.
- Remove Inventory Amount Update record created.

- Create a new costing rule for F&B US Inc organization, set Warehouse Dimension to Y and validate it.
- Create a new Inventory Amount Update in F&B US Inc Org.
- Add a line to it.
- Check the Warehouse field is displayed.
- Select a warehouse, add a product and a cost to it and save it.
- Check the Warehouse field is still displayed.
(0099099)
hgbot (developer)
2017-09-18 12:02

Repository: erp/devel/pi
Changeset: 6db8cd340ee21fe8a4a84acb146999d14b2b8641
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Sep 15 04:46:11 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/6db8cd340ee21fe8a4a84acb146999d14b2b8641 [^]

Fixes issue 36825: Warehouse field of Inventory Amount Update Lines not shown

Warehouse field of Inventory Amount Update Lines is not shown after
saving the record although it has a value

Set SQL based value for auxiliar input iswarehousedimension in inventory amount update
line tab. It is calculated on organization and reference date in the line tab.

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
---
(0099100)
hgbot (developer)
2017-09-18 12:02

Repository: erp/devel/pi
Changeset: cebdb602a9f11f904a99d38327f3074ed5bf14e8
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Sep 18 11:40:40 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cebdb602a9f11f904a99d38327f3074ed5bf14e8 [^]

Related to issue 36825: Code review improvements

Use min to retrieve only one record.
Remove coalesce as Warehouse_Dimension is a not null column.
Rename alias with a shorter name.
Remove IsActive condition.
Remove exists condition and change datefrom and dateto conditions to retrieve always the current costing rule.
SL_InvAmtUpd_ProductRefDate callout will remove warehouse value in case auxiliary input retrieves false.

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src/org/openbravo/erpCommon/ad_callouts/SL_InvAmtUpd_ProductRefDate.java
---
(0099102)
aferraz (developer)
2017-09-18 12:05

Code review + Testing OK
(0099403)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099404)
hudsonbot (developer)
2017-09-21 16:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-09-11 15:21 ngarcia New Issue
2017-09-11 15:21 ngarcia Assigned To => Triage Finance
2017-09-11 15:21 ngarcia Modules => Core
2017-09-11 15:21 ngarcia Triggers an Emergency Pack => No
2017-09-11 15:21 ngarcia Issue Monitored: networkb
2017-09-11 16:49 aferraz Assigned To Triage Finance => AtulOpenbravo
2017-09-11 16:51 aferraz Proposed Solution updated
2017-09-14 20:06 AtulOpenbravo Status new => scheduled
2017-09-14 23:18 AtulOpenbravo Note Added: 0099054
2017-09-18 12:02 hgbot Checkin
2017-09-18 12:02 hgbot Note Added: 0099099
2017-09-18 12:02 hgbot Status scheduled => resolved
2017-09-18 12:02 hgbot Resolution open => fixed
2017-09-18 12:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6db8cd340ee21fe8a4a84acb146999d14b2b8641 [^]
2017-09-18 12:02 hgbot Checkin
2017-09-18 12:02 hgbot Note Added: 0099100
2017-09-18 12:05 aferraz Review Assigned To => aferraz
2017-09-18 12:05 aferraz Note Added: 0099102
2017-09-18 12:05 aferraz Status resolved => closed
2017-09-18 12:05 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099403
2017-09-21 16:50 hudsonbot Checkin
2017-09-21 16:50 hudsonbot Note Added: 0099404


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker